Can't find libpq when installing ruby's pg.

Questions about applications and software
Forum rules
Before you post please read this

Can't find libpq when installing ruby's pg.

Postby iliveinapark on Thu Mar 14, 2013 7:23 pm

Hello,
I have installed mint for the first time today and am trying to bundle my rubygems in rvm for a rails project. The native extensions for pg fail:

Code: Select all
checking for pg_config... yes
Using config values from /usr/bin/pg_config
checking for libpq-fe.h... yes
checking for libpq/libpq-fs.h... yes
checking for pg_config_manual.h... yes
checking for PQconnectdb() in -lpq... no
checking for PQconnectdb() in -llibpq... no
checking for PQconnectdb() in -lms/libpq... no
Can't find the PostgreSQL client library (libpq)
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.


I believe I have the right packages installed:

Code: Select all
i   libpq-dev                          - header files for libpq5 (PostgreSQL library)
p   libpq-dev:i386                     - header files for libpq5 (PostgreSQL library)
i A libpq5                             - PostgreSQL C client library                 
p   libpq5:i386                        - PostgreSQL C client library                 


Any ideas what I'm missing, folks? Thanks in advance!
iliveinapark
Level 1
Level 1
 
Posts: 1
Joined: Thu Mar 14, 2013 2:25 pm

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: Clund and 18 guests